Bug 990996 - Cannot copy the content of instance log & current activities
Cannot copy the content of instance log & current activities
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER2
: 6.0.0
Assigned To: Mauricio Salatino
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 07:22 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:08:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-08-01 07:22:35 EDT
Description of problem:
In process instance details, the process instance log and current activities contain text that cannot be copied out of the element.

The current activities element is a select box, so you can at least utilise the so called developer tools in firefox to get the content of the options - the current activities.
The instance log is a text area, to get the text out of it, you have to have some browser plug-in that allows you to see DOM (firebug can do that).

In both cases, normal user pretty much cannot copy the text from those elements.


Version-Release number of selected component (if applicable):
kie-wb CR1, BPMS 6 DR6


How reproducible:


Steps to Reproduce:
1. Start a process instance, you'll find yourself looking at the instance details.
2. Scroll down to Current Activities, try to select and copy the text of this field.
3. Scroll down to Process Instance Log, try to select and copy the text of this field.


Actual results:
Neither 2. nor 3. are possible.


Expected results:
It is possible to get the text out of both of these logs.


Additional info:
Comment 2 Zuzana Krejčová 2013-08-28 07:41:14 EDT
No visible change. Perhaps this commit wasn't picked up?

Note You need to log in before you can comment on or make changes to this bug.